Skip to navigation

Create request to import new users into account

View as Markdown

Creates a request to import new users.

Your CSV import file is made up of a header row with the column headers and a row of user or account data for each user you want to add to an account. Only new users can be imported. Any changes to existing users will be ignored. To make changes to existing users, use UserImport:updateBulkUserImports.

To ensure your CSV file is properly formatted, follow the requirements in the Support article Build a CSV to Bulk Add Users. You can download an example file from the Add Users dialogue in the Admin UI.

You can add up to 2,000 users to an account and include up to 50 accounts per import. The maximum number of users per import is 8,000.

Required authentication scopes: user_write.

Next steps

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID Guid

Request

This endpoint expects a multipart form containing a file.
file.csvfileRequired
CSV file.

Response

OK
idstringOptionalformat: "uuid"
typestringOptional
requestorobjectOptional
createddatetimeOptional
last_modifieddatetimeOptional
statusstringOptional
Status.
user_countintegerOptional
processed_user_countintegerOptional
added_user_countintegerOptional
updated_user_countintegerOptional
closed_user_countintegerOptional
no_action_required_user_countintegerOptional
error_countintegerOptional
warning_countintegerOptional
invalid_column_headersstringOptional
imports_not_found_or_not_available_for_accountsstringOptional
imports_failed_for_accountsstringOptional
imports_timed_out_for_accountsstringOptional
imports_not_found_or_not_available_for_sitesstringOptional
imports_failed_for_sitesstringOptional
imports_timed_out_for_sitesstringOptional
file_level_error_rollupslist of objectsOptional
user_level_error_rollupslist of objectsOptional
user_level_warning_rollupslist of objectsOptional
has_csv_resultsbooleanOptional
results_uristringOptional